---
page_title: Create Bank Account [Deprecated]
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/express-checkout/create-bank-account-deprecated
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fexpress-checkout%2Fcreate-bank-account-deprecated
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Create bank account [Deprecated]

## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/{customer_id}/bank-accounts

- Production: https://api.juspay.in/customers/{customer_id}/bank-accounts

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: Base64 Encoded Username:Password, Mandatory
## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: String
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST \
  https://api.juspay.in/customers/cst_wexxxxsfdkl/bank-accounts \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -u your_api_key:
  -d 'bank_code=JP_HDFC&command=create&ifsc=HDFC092343&account_number=40002323422&beneficiary_name=test&metadata.param1=value1&metadata.param2=value2'

```

### Sample Response:

#### Response:
```json
{
  "object": "bank_account",
  "id": "bank_woeriusdfk",
  "customer_id": "cst_weoriudfjks",
  "date_created": "2019-12-24T14:40:23Z",
  "bank_name": "HDFC Bank",
  "ifsc": "HDFC092343",
  "account_number": "40002323422",
  "beneficiary_name": "test",
  "validation_amount": 1,
  "currency": "INR",
  "validation_status": "CREATED",
  "last_validated": null,
  "metadata": {
    "param1": "value1",
    "param2": "value2"
  }
}
```

## Path Parameters:

#### customer_id:
Customer Id
- Value: Example:- cst_wexxxxsfdkl
- Tags: String, Mandatory
## Body Parameters:
### Parameters:

#### command:
- Description: “create” or “validate”. Default is “created”. Command = “validate” will do create and validate at once.
- Tags: string

#### bank_code:
- Description: Juspay bank code ID defining the bank.
- Tags: string, Required

#### account_number:
- Description: Bank account number.
- Tags: string, Required

#### ifsc:
- Description: IFSC code for a bank branch.
- Tags: string, Required

#### beneficiary_name:
- Description: Name of the customer in a given bank account.
- Tags: string

#### gateway_id:
- Description: Gateway id of the underlying provider to be used for bank account validation.
- Tags: string

#### gateway_reference_id:
- Description: Reference Id to a specific gateway which is used for validation
- Tags: string

#### metadata:
- Description: A custom key-value set can be passed here
- Tags: string
## API Responses:
### 200:

#### object:
- Description: bank_account
- Tags: string

#### id:
- Description: bank_woeriusdfk
- Tags: string

#### customer_id:
- Description: cst_weoriudfjks
- Tags: string

#### date_created:
- Description: 2019-12-24T14:40:23Z
- Tags: string

#### bank_name:
- Description: HDFC Bank
- Tags: string

#### ifsc:
- Description: HDFC092343
- Tags: string

#### account_number:
- Description: 40002323422
- Tags: string

#### beneficiary_name:
- Description: test
- Tags: string

#### validation_amount:
- Tags: integer

#### currency:
- Description: INR
- Tags: string

#### validation_status:
- Description: CREATED
- Tags: string

#### last_validated:
- Tags: String

#### metadata:
- Value:
  - **Param1**:
    - Description: value1
    - Tags: string
  - **Param2**:
    - Description: value2
    - Tags: string
- Tags: object


---

## See Also

- [Get Offer Order Status](https://juspay.io/in/docs/api-reference/docs/express-checkout/get-offer-order-status)
- [Validate Bank Account [Deprecated]](https://juspay.io/in/docs/api-reference/docs/express-checkout/validate-bank-account-deprecated)
